This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 749025 - synergy doesn't switch screens with gnome-shell
synergy doesn't switch screens with gnome-shell
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-25 17:00 EDT by Richard Guest
Modified: 2013-08-01 16:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Guest 2011-10-25 17:00:37 EDT
F15 gnome-shell desktop, synergys doesn't properly detect edge-of-screen events when gnome-shell is running.

However, when certain applications (google-chrome, firefox etc.) are running with maximised windows against the switch-edge it works fine... and some other applications would switch, but only for edge-of-screen events that occur over the menu e.g. gnome-terminal.


This has been an issue for a while, and it appears that there's an appropriate patch available upstream http://synergy-foss.org/tracker/issues/2958#note-15


RawEvent.diff (from upstream) applies cleanly to 1.3.7-3 and with the extra BuildRequires libXi-devel
Comment 1 Basil Mohamed Gohar 2012-06-13 09:48:17 EDT
I can confirm this exact behavior on a Fedora 17 server and a Fedora 17 client.
Comment 2 Richard Guest 2012-06-28 19:03:01 EDT
I can also confirm this against F17.

The upstream patch still applies cleanly to 1.3.7-5 and fixes the issue.

It also applies cleanly to 1.3.8, the latest stable upstream release.
Comment 3 Fedora Update System 2013-02-19 19:06:24 EST
synergy-1.4.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/synergy-1.4.10-1.fc18
Comment 4 Fedora Update System 2013-02-19 19:08:03 EST
synergy-1.4.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/synergy-1.4.10-1.fc17
Comment 5 Fedora Update System 2013-02-21 00:44:12 EST
Package synergy-1.4.10-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing synergy-1.4.10-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2792/synergy-1.4.10-1.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-02-22 19:50:57 EST
synergy-1.4.10-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora End Of Life 2013-07-04 03:42:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 16:05:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.